Subject: Re: bug#44020: 28.0.50; Prefer selection of colour emoji fonts?

From: Robert Pluim <[email-masked]>
Date: Tue, 20 Oct 2020 09:33:49 +0200

>>>>> On Tue, 20 Oct 2020 05:35:39 +0300, Eli Zaretskii <[email-masked]> said:

    >> From: Stephen Berman <[email-masked]>
    >> Cc: [email-masked],  [email-masked],  [email-masked]
    >> Date: Tue, 20 Oct 2020 00:00:35 +0200
    >> 
    >> > And what version of Noto Color Emoji do you have?
    >> 
    >> v2018-04-24-pistol-update
    >> 
    >> > And finally, could you step through the code shown by Robert and tell
    >> > whether the Noto Color Emoji's average_width you get is also zero or
    >> > non-zero?
    >> 
    >> I started emacs -Q in gdb, evaluated the above two set-fontset-font
    >> sexps, put a breakpoint on font_open_entity, and typed `M-x 8 RET
    >> GRINNING FACE RET' and gdb took control, then I stepped through the
    >> function until gdb output `if (font->average_width > 0 && font->height >
    >> 0)' and then I entered `p font->average_width' and gdb output $1 = 16.
    >> Did I do this right and does that answer your question?  If not, please
    >> advise.

    Eli> Yes, that's it.  I wonder why Robert gets zero, perhaps a different
    Eli> version of the font?

it seems Iʼm not alone in having problems with Noto Color Emoji on
Ubuntu: <https://github.com/googlefonts/noto-emoji/issues/36>

Debian time, I think (which has been on my list for a while in any
case).

Robert
--